const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.setPublicPath('public/assets');
mix.options({processCssUrls: false});

mix.copy('node_modules/@fortawesome/fontawesome-free/webfonts/*', 'public/assets/fonts');
mix.copy('node_modules/summernote/dist/font/*', 'public/assets/css/backend/font');
mix.sass('resources/assets/sass/theme.scss', 'css');
mix.styles([
  'public/assets/css/theme.css',
  'resources/assets/css/theme.css',
], 'public/assets/css/theme.css');
mix.copy('resources/assets/images/*', 'public/assets/images');

mix.js([
  'resources/assets/js/main.js'
], 'public/assets/js/main.js');

/*
 /--------------------------------------------------------------------------
 / BACKEND
 /--------------------------------------------------------------------------
 */
mix.styles([
  'node_modules/summernote/dist/summernote-bs4.css',
  'node_modules/codemirror/lib/codemirror.css',
  'node_modules/codemirror/theme/monokai.css'
], 'public/assets/css/backend/editorSekcie.css')
